<div mat-dialog-content>
  <p>Enter new name of category</p>
  <mat-form-field>
    <input matInput [formControl]="updateCategory" />
  </mat-form-field>
  <div
    *ngIf="updateCategory.getError('required') && updateCategory.touched"
    class="alert alert-danger"
  >
    Category Name cannot be empty
  </div>
  <div
    *ngIf="updateCategory.getError('maxlength') && updateCategory.touched"
    class="alert alert-danger"
  >
    Category Name cannot be longer then 70 characters
  </div>

  <div
    *ngIf="updateCategory.touched && updateCategory.hasError('whitespace')"
    class="alert alert-danger"
  >
    Stop typing spaces instead of characters!!!
  </div>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onCloseClick()">Close</button>
  <button
    mat-button
    [disabled]="updateCategory.invalid"
    [mat-dialog-close]="updateCategory.value"
    cdkFocusInitial
  >
    Update
  </button>
</div>
